Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class PojoCacheDelegate

    java.lang.Object
      org.jboss.cache.pojo.impl.PojoCacheDelegate

    public class PojoCacheDelegate

extends Object

Delegate class for PojoCache, the real implementation code happens here.

Author:
  Ben Wang

Constructor Summary
`PojoCacheDelegate(PojoCacheImpl cache)`

Method Summary
`boolean` | `exists(Fqn<?> id)`
`Map` | `findObjects(Fqn fqn)`
`Object` | `getObject(Fqn fqn, String field)`
`Object` | `putObjectI(Fqn fqn, Object obj, String field)`
`Object` | `putObjectII(Fqn fqn, Object obj, String field)` Note that caller of this method will take care of synchronization within the `fqn` sub-tree.
`Object` | `removeObject(Fqn fqn, String field)` Note that caller of this method will take care of synchronization within the `fqn` sub-tree.
`void` | `setBulkRemove(boolean bulk)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoCacheDelegate

    public PojoCacheDelegate(PojoCacheImpl cache)

Method Detail

### setBulkRemove

    public void setBulkRemove(boolean bulk)

### getObject

    public Object getObject(Fqn fqn,
                            String field)
                     throws CacheException

  Throws:
    `CacheException`

### putObjectI

    public Object putObjectI(Fqn fqn,
                             Object obj,
                             String field)
                      throws CacheException

  Throws:
    `CacheException`

### putObjectII

    public Object putObjectII(Fqn fqn,
                              Object obj,
                              String field)
                       throws CacheException

  Note that caller of this method will take care of synchronization within the `fqn` sub-tree.

  Throws:
    `CacheException`

### removeObject

    public Object removeObject(Fqn fqn,
                               String field)
                        throws CacheException

  Note that caller of this method will take care of synchronization within the `fqn` sub-tree.

  Parameters:
    `fqn` -
  Returns:
    detached object
  Throws:
    `CacheException`

### findObjects

    public Map findObjects(Fqn fqn)
                    throws CacheException

  Throws:
    `CacheException`

### exists

    public boolean exists(Fqn<?> id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 JBoss, a division of Red Hat. All Rights Reserved.